# PokemonSummonData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonSummonData

- Defined in src/field/pokemon.ts:3871

#####
Index

### Constructors

constructor

### Properties

abilitiesApplied
ability
abilitySuppressed
battleStats
disabledMove
disabledTurns
fusionGender
fusionSpeciesForm
gender
moveQueue
moveset
speciesForm
stats
tags
types

## Constructors

### constructor

- new PokemonSummonData(): PokemonSummonData

- #### Returns PokemonSummonData

## Properties

### abilitiesApplied

abilitiesApplied: Abilities [] = []

- Defined in src/field/pokemon.ts:3878

### ability

ability: Abilities = Abilities.NONE

- Defined in src/field/pokemon.ts:3882

### abilitySuppressed

abilitySuppressed: boolean = false

- Defined in src/field/pokemon.ts:3877

### battleStats

battleStats: number[] = ...

- Defined in src/field/pokemon.ts:3872

### disabledMove

disabledMove: Moves = Moves.NONE

- Defined in src/field/pokemon.ts:3874

### disabledTurns

disabledTurns: number = 0

- Defined in src/field/pokemon.ts:3875

### fusionGender

fusionGender: Gender

- Defined in src/field/pokemon.ts:3884

### fusionSpeciesForm

fusionSpeciesForm: PokemonSpeciesForm

- Defined in src/field/pokemon.ts:3881

### gender

gender: Gender

- Defined in src/field/pokemon.ts:3883

### moveQueue

moveQueue: QueuedMove [] = []

- Defined in src/field/pokemon.ts:3873

### moveset

moveset: PokemonMove []

- Defined in src/field/pokemon.ts:3886

### speciesForm

speciesForm: PokemonSpeciesForm

- Defined in src/field/pokemon.ts:3880

### stats

stats: number[]

- Defined in src/field/pokemon.ts:3885

### tags

tags: BattlerTag [] = []

- Defined in src/field/pokemon.ts:3876

### types

types: Type [] = null

- Defined in src/field/pokemon.ts:3888